<?php
require_once( 'FrogEnvoy/Models/ApacheConfPathToDir.php' ); 
require_once( 'FrogEnvoy/Models/ApacheConfWildcardPathToFiles.php' ); 
require_once( 'FrogEnvoy/Models/ApacheConfPathToFile.php' ); 

class FrogEnvoy_Models_AbstractApacheConfPathValue 
	{

	static public function createConfIncludePath( $pathValue )
		{
		if ( is_dir( $pathValue ) )
			{
			return new FrogEnvoy_Models_ApacheConfPathToDir( $pathValue );
			} 
		elseif ( self::containsWildcard( $pathValue ) ) 
			{
			return new FrogEnvoy_Models_ApacheConfWildcardPathToFiles( $pathValue );
			}
		else	{
			return new FrogEnvoy_Models_ApacheConfPathToFile( $pathValue );
			}
		}


	static protected function containsWildcard( $path )
		{
		return (!( strpos( trim( $path ) , '*' ) === FALSE ));	
		}

	public function isPathToSingleFile()
		{
		return FALSE;
		}


	}