<?php

require_once( 'FrogEnvoy/Models/ApacheConfFile.php' );

class FrogEnvoy_Models_ApacheConfListingService
	{
	protected $_includedConfFilePaths = array();

	public function __construct( $startingConfFilePath )	
		{
		$this->_startingConfFilePath = $startingConfFilePath;
		}

	protected function generateListOfConfFilePathsRecursively( $confFilePath )	
		{

		if ( in_array( $confFilePath, $this->_includedConfFilePaths ) )
			{
			//its already been found.
			return;
			}

		$this->_includedConfFilePaths[] = $confFilePath;

		$apacheConfFile = new FrogEnvoy_Models_ApacheConfFile( $confFilePath );

		foreach( $apacheConfFile->findListOfIncludedFilePaths() as $includedFile )
			{
			$this->generateListOfConfFilePathsRecursively( $includedFile );
			}
		}

	public function getListOfConfFilePaths()
		{
		$this->generateListOfConfFilePathsRecursively( $this->_startingConfFilePath );
		return $this->_includedConfFilePaths;
		}
	}
