#!/usr/bin/php -q
<?php
/**
* @desc this script should inspect the root apache conf file 
* and then recursively parse it to find all other included confs
* 
* 
 
 
List all the conf files used by the apache deamon:
# php list-apache-conf-files.php 

Pipe that list into xargs so that contents of each file is grep'd to remove comment lines,
then grep'd again to search for lines containing log directives:
# php list-apache-conf-files.php | xargs grep -h -v -E '^[[:space:]]*#' | grep  -E  "^[[:space:]]*CustomLog|ErrorLog|ForensicLog"
ErrorLog /var/log/apache2/error.log
CustomLog /var/log/apache2/other_vhosts_access.log vhost_combined
	ErrorLog /var/log/apache2/error.log
	CustomLog /var/log/apache2/access.log combined

Do similar command as above, but pipe the output through *sed* to trim whitespace
# php list-apache-conf-files.php | xargs grep -h -v -E '^[[:space:]]*#' | grep  -E  "^[[:space:]]*CustomLog|ErrorLog|ForensicLog" | sed 's/^[[:space:]]*\(.*\)[[:space:]]*$/\1/' 
ErrorLog /var/log/apache2/error.log
CustomLog /var/log/apache2/other_vhosts_access.log vhost_combined
ErrorLog /var/log/apache2/error.log
CustomLog /var/log/apache2/access.log combined


Do similar command as above, but pipe the output through *cut* to get the second field where fields are delmited by whitespace
# php list-apache-conf-files.php | xargs grep -h -v -E '^[[:space:]]*#' | grep  -E  "^[[:space:]]*CustomLog|ErrorLog|ForensicLog" | sed 's/^[[:space:]]*\(.*\)[[:space:]]*$/\1/' | cut -f2 -d" "
/var/log/apache2/error.log
/var/log/apache2/other_vhosts_access.log
/var/log/apache2/error.log
/var/log/apache2/access.log

* 
*/

//bootstrap
ini_set('display_errors', 1);
error_reporting(E_ALL);

define( 'APPLICATION_DIR' , dirname(__FILE__) );
//set include paths
require_once( APPLICATION_DIR . '/Controllers/SetIncludePathsScript.php' );
require_once( 'FrogEnvoy/Models/ApacheConfListingService.php' );
require_once( 'FrogEnvoy/Models/ApacheCompiledConf.php' );


try 	{
	$apacheConfInspector = new FrogEnvoy_Models_ApacheCompiledConf();

	//first start with the root config on ubuntu
	if (!( $apacheConfInspector->getCompileSetting(
			FrogEnvoy_Models_ApacheCompiledConf::COMPILE_SETTING_SERVER_CONFIG_FILE 
			) ))
		{
		throw new Exception('No value for SERVER_CONFIG_FILE returned.');
		}	

	$apacheConfListingService = new FrogEnvoy_Models_ApacheConfListingService( $apacheConfInspector->getCompileSetting( FrogEnvoy_Models_ApacheCompiledConf::COMPILE_SETTING_SERVER_CONFIG_FILE ) );

	foreach( $apacheConfListingService->getListOfConfFilePaths() as $path )	
		{
		fwrite( STDOUT, $path . PHP_EOL );
		}	
	
	exit( 0 );
	}
catch( Exception $e )	
	{
	echo $e->getMessage();

	if ( is_integer( $e->getCode() ) )
		{
		exit ( $e->getCode( ) );
		}

	exit ( 1 );
	}










