<?php

/**
* @desc shell wrapper to display all 
* directives that are associated with logging: 
   (CustomLog|ErrorLog|ForensicLog|LogFormat|SetEnvIf)
* within all apache conf files
*/

system( 
	//invoke list-apache-conf-files	
	dirname(__FILE__) . '/list-apache-conf-files.php '

	//pipe those conf file paths to grep to inversly match comment lines
	. '| xargs grep -h -v -E \'^[[:space:]]*#\' '

	//pipe uncommented lines to grep matching lines of logging directives
	. '| grep  -E  "^[[:space:]]*CustomLog|ErrorLog|ForensicLog|LogFormat|SetEnvIf" '

	//pipe thru sed to trim white-space
	. '| sed \'s/^[[:space:]]*\(.*\)[[:space:]]*$/\1/\' '
	);


//exit ok
exit( 0 );